#include "ui_helper.h"
#include <Windows.h>
#include <cstdlib>
#include <cstdio>

void ClearScreen()
{
    system("cls");
}

void ClearInput()
{
    int c;
    while ((c = getchar()) != '\n' && c != EOF);
}

void WaitPause()
{
    system("pause");
}

void title(const std::string& xtitle)
{
    ClearScreen();
    printf("==============================\n");
    printf("%s\n", xtitle.c_str());
    printf("==============================\n");
}

int GetChoice(int max_id)
{
    int x;
    while (scanf("%d", &x) != 1 || x<1 || x>max_id)
    {
        printf(". ӦΪ1~%dΧڵ. .\n", max_id);
        ClearInput();
    }
    ClearInput();
    return x;
}